<?php
 	session_start(); 

	if(!isset($_SESSION['atcrmsuloginsesion']))
	{
		header('Location: index.php');
		return;
	}
	if($_SESSION['atcrmsutype']!='Superuser'){
			header('Location: index.php');
		return;
	}
	
	if($_SERVER['REQUEST_METHOD'] === 'POST')
	{
		if(!isset($_POST['_token']) || ($_POST['_token']!==$_SESSION['_token'] ) )
		{
			header('Location: index.php');
			return;
		}
	}
	else
	{
		header('Location: index.php');
		return;
	}
	$_SESSION['_token']=bin2hex(openssl_random_pseudo_bytes(16));
	
	include("connectp.php");
	$dmid=$_POST['dmid'];
	$disposition=$_POST['disposition'];
	$query = "update res_disposition_master set disposition=:disposition where dmid=$dmid and brmid=1";
	$stmt = $db7->prepare($query);
	$stmt->bindParam(':disposition', $disposition);
	if($stmt->execute()==true)
	{
		$_SESSION['msg'] = "Record has been updated successfully";	
	}
	else
	{
		$_SESSION['msg'] = "Error";	
	}
	header('Location: disposition.php');
?>